com.hazelcast.config

## Class ServicesConfig

- java.lang.Object
- - com.hazelcast.config.ServicesConfig

-     public class ServicesConfig
      extends Object

  Configuration for the Services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServicesConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServicesConfig` | `addServiceConfig(ServiceConfig service)`
    `ServicesConfig` | `clear()`
    `boolean` | `equals(Object o)`
    `ServiceConfig` | `getServiceConfig(String name)`
    `Collection<ServiceConfig>` | `getServiceConfigs()`
    `int` | `hashCode()`
    `boolean` | `isEnableDefaults()`
    `ServicesConfig` | `setEnableDefaults(boolean enableDefaults)`
    `ServicesConfig` | `setServiceConfigs(Collection<ServiceConfig> services)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServicesConfig

          public ServicesConfig()

  - ### Method Detail

    - #### isEnableDefaults

          public boolean isEnableDefaults()

    - #### setEnableDefaults

          public ServicesConfig setEnableDefaults(boolean enableDefaults)

    - #### clear

          public ServicesConfig clear()

    - #### getServiceConfigs

          public Collection<ServiceConfig> getServiceConfigs()

    - #### setServiceConfigs

          public ServicesConfig setServiceConfigs(Collection<ServiceConfig> services)

    - #### addServiceConfig

          public ServicesConfig addServiceConfig(ServiceConfig service)

    - #### getServiceConfig

          public ServiceConfig getServiceConfig(String name)

    - #### equals

          public final boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.